services:
  ollama:
    image: ollama/ollama:0.17.7
    container_name: ${CONTAINER_NAME}
    restart: unless-stopped
    ports:
      - ${PANEL_APP_PORT_HTTP}:11434
    networks:
      - 1panel-network
    tty: true
    volumes:
      - ./data:/root/.ollama
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true